Bug 73098 - kernel oops in i810 on 2.4.18-12.5
kernel oops in i810 on 2.4.18-12.5
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-30 14:28 EDT by Matt Wilson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Wilson 2002-08-30 14:28:06 EDT
See also bug 71965


Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 438M
agpgart: Detected an Intel i810 DC100 Chipset.
agpgart: detected 4MB dedicated video ram.
agpgart: AGP aperture is 64M @ 0xf4000000
[drm] AGP 0.99 on Intel i810 @ 0xf4000000 64MB
[drm] Initialized i810 1.2.0 20010920 on minor 0
mtrr: base(0xf4000000) is not aligned on a size(0x180000) boundary
mtrr: base(0xf4000000) is not aligned on a size(0x180000) boundary
ide-floppy driver 0.99.newide
hdc: ATAPI 48X CD-ROM drive, 128kB Cache
Uniform CD-ROM driver Revision: 3.12
cdrom: This disc doesn't have any tracks I recognize!
mtrr: base(0xf4000000) is not aligned on a size(0x180000) boundary
mtrr: base(0xf4000000) is not aligned on a size(0x180000) boundary
mtrr: base(0xf4000000) is not aligned on a size(0x180000) boundary
[drm:i810_flush_queue] *ERROR* lockup
[drm:i810_flush_queue] *ERROR* lockup
[drm:i810_flush_queue] *ERROR* lockup
[drm:i810_flush_queue] *ERROR* lockup
[drm:i810_flush_queue] *ERROR* lockup
[drm:i810_flush_queue] *ERROR* lockup
Unable to handle kernel paging request at virtual address e0c0dfff
 printing eip:
e0a03fa4
*pde = 192c6067
*pte = 00000000
Oops: 0002
nfs lockd sunrpc ide-cd cdrom soundcore i810 agpgart autofs 3c59x eepro100 ipt
CPU:    0
EIP:    0010:[<e0a03fa4>]    Not tainted
EFLAGS: 00010216

EIP is at i810_dma_emit_flush [i810] 0x34 (2.4.18-12.5)
eax: ffffffff   ebx: d9d10e40   ecx: 0000ffff   edx: e0c0e000
esi: dd2ba800   edi: dd2e0000   ebp: c9c3de7c   esp: c9c3de68
ds: 0018   es: 0018   ss: 0018
Process kdeinit (pid: 14152, stackpage=c9c3d000)
Stack: dd2ba800 ce67a270 c9c3dea8 c9c3c000 d9d10e40 c9c3dec0 e0a0325c dd2ba800 
       d9d10e80 00000000 02420f46 00000000 c9c3c000 00000000 00000000 00000000 
       c9c3c000 d9d10e80 d9d10e80 d9d10e40 dd2e0000 00000000 c9c3ded8 e0a0337a 
Call Trace: [<e0a0325c>] i810_dma_quiescent [i810] 0x17c (0xc9c3de80))
[<e0a0337a>] i810_reclaim_buffers [i810] 0x4a (0xc9c3dec4))
[<e09fd49e>] i810_release [i810] 0x21e (0xc9c3dedc))
[<c01401ef>] fput [kernel] 0xef (0xc9c3df28))
[<c013e87b>] filp_close [kernel] 0x4b (0xc9c3df48))
[<c011e623>] close_files [kernel] 0x93 (0xc9c3df64))
[<c011d758>] put_files_struct [kernel] 0x28 (0xc9c3df84))
[<c011ddd8>] do_exit [kernel] 0xc8 (0xc9c3df98))
[<c011dfa5>] sys_exit [kernel] 0x15 (0xc9c3dfb4))
[<c01092cf>] system_call [kernel] 0x33 (0xc9c3dfc0))


Code: c7 04 10 00 00 80 03 83 c0 04 21 c8 c7 04 10 00 00 00 01 83
Comment 1 Bugzilla owner 2004-09-30 11:39:53 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.